Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser.castor
Class AxisContentHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.encoding.ser.castor.AxisContentHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class AxisContentHandler
extends org.xml.sax.helpers.DefaultHandler

This ContentHandler delegates all serialization to an axis SerializationContext

Author:
  Fabien Nisol

Constructor Summary
`AxisContentHandler(SerializationContext context)` Creates a contentHandler delegate

Method Summary
`void` | `characters(char[] ch, int start, int length)` delegates to the serialization context
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` delegates to the serialization context
`SerializationContext` | `getContext()` Getter for property context.
`void` | `setContext(SerializationContext context)` Setter for property context.
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` delegates to the serialization context

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisContentHandler

    public AxisContentHandler(SerializationContext context)

  Creates a contentHandler delegate

Parameters:
  `context` - : axis context to delegate to

Method Detail

### getContext

    public SerializationContext getContext()

  Getter for property context.

  Returns:
    Value of property context.

### setContext

    public void setContext(SerializationContext context)

  Setter for property context.

  Parameters:
    `context` - New value of property context.

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  delegates to the serialization context

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  delegates to the serialization context

  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  delegates to the serialization context

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.